%global namedreltag .RELEASE
%global namedversion %{version}%{?namedreltag}
Name:          springsource-util
Version:       2.0.0
Release:       %mkrel 1
Summary:       Spring Util
Group:         Development/Java
License:       ASL 2.0
Url:           http://www.springframework.org/
#http://git.springsource.org/dm-server
# git clone git://git.springsource.org/dm-server/util.git
# mkdir springsource-util-2.0.0.RELEASE
# cd util
# git archive 2.0.0.RELEASE | tar -x -C ../springsource-util-2.0.0.RELEASE
# cd ..
# tar czf ../springsource-util-2.0.0.RELEASE.tar.gz springsource-util-2.0.0.RELEASE/ 
Source0:       springsource-util-2.0.0.RELEASE.tar.gz
# mkdir -p spring-build-2.8.0
# git clone git://git.springsource.org/spring-build/spring-build.git
# cd spring-build
# git archive 2.8.0 | tar -x -C ../spring-build-2.8.0
# cd ..
# tar czf spring-build-2.8.0-src-git.tar.gz spring-build-2.8.0
Source1:       spring-build-2.8.0-src-git.tar.gz
# local-repository structure and ivy generated metadata files
Source2:       springsource-util-2.0.0.RELEASE-local-repository.tar.gz

#Source11:      com.springsource.util.common-2.0.0.RELEASE.pom
Source11:      com.springsource.util.common-2.0.0.RELEASE-mod-01.pom
#Source12:      com.springsource.util.env-2.0.0.RELEASE.pom
Source12:      com.springsource.util.env-2.0.0.RELEASE-mod-01.pom
#Source13:      com.springsource.util.io-2.0.0.RELEASE.pom
Source13:      com.springsource.util.io-2.0.0.RELEASE-mod-01.pom
#Source14:      com.springsource.util.jmx-2.0.0.RELEASE.pom
Source14:      com.springsource.util.jmx-2.0.0.RELEASE-mod-01.pom
#Source15:      com.springsource.util.math-2.0.0.RELEASE.pom
Source15:      com.springsource.util.math-2.0.0.RELEASE-mod-01.pom
#Source16:      com.springsource.util.osgi-2.0.0.RELEASE.pom
Source16:      com.springsource.util.osgi-2.0.0.RELEASE-mod-01.pom
#Source17:      com.springsource.util.parser.manifest-2.0.0.RELEASE.pom
Source17:      com.springsource.util.parser.manifest-2.0.0.RELEASE-mod-01.pom
#Source18:      com.springsource.util.test-2.0.0.RELEASE.pom 
Source18:      com.springsource.util.test-2.0.0.RELEASE-mod-01.pom


Patch0:        springsource-util-2.0.0-ivysettings.patch
Patch1:        springsource-util-2.0.0-spring-build-ivysettings.patch
Patch2:        springsource-util-2.0.0-jmx-template.patch
Patch3:        springsource-util-2.0.0-build-versions.patch
Patch4:        springsource-util-2.0.0-build-util-build.patch
Patch5:        springsource-util-2.0.0-spring-build-aspect-common.patch
Patch6:        springsource-util-2.0.0-spring-build-aspect-quality.patch
Patch7:        springsource-util-2.0.0-jmx-ivy-xml.patch

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: ant
BuildRequires: ant-junit
BuildRequires: apache-commons-codec
BuildRequires: apache-commons-logging
BuildRequires: aspectj
BuildRequires: easymock2
BuildRequires: ecj3
BuildRequires: eclipse-equinox-osgi
BuildRequires: felix-osgi-core
BuildRequires: ivy
BuildRequires: jakarta-commons-httpclient
BuildRequires: jets3t07
BuildRequires: junit4
BuildRequires: objectweb-asm
BuildRequires: slf4j
BuildRequires: spring-build-ant
BuildRequires: spring-build-aws-ivy
BuildRequires: spring2-beans
BuildRequires: spring2-core
BuildRequires: ws-commons-XmlSchema

Requires:      eclipse-equinox-osgi
Requires:      slf4j

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
Spring is a layered Java/J2EE application framework,
based on code published in Expert One-on-One J2EE
Design and Development by Rod Johnson (Wrox, 2002).

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}

%package devel
Summary:       Source jars for %{name}
Group:         Development/Java

%description devel
This package contains source jars for %{name}.

%prep
%setup -q -n springsource-util-%{namedversion} -a1 -a2
rm -rf spring-build
mv spring-build-2.8.0 spring-build
rm -rf spring-build/lib/ivy/*
chmod -R go=u-w *

%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0
%patch6 -p0
%patch7 -p0

sed -i "s|1.5.10|1.6.1|" com.springsource.util.jmx/template.mf
sed -i "s|1.5.10|1.6.1|" build.versions

mkdir -p ivy-cache/repository/org.apache.commons/com.springsource.org.apache.commons.logging/1.1.1
#ln -sf $(build-classpath commons-logging) \
#  ivy-cache/repository/org.apache.commons/com.springsource.org.apache.commons.logging/1.1.1/com.springsource.org.apache.commons.logging-1.1.1.jar

mkdir -p ivy-cache/repository/org.apache.ws/com.springsource.org.apache.ws.commons.schema/1.3.2
#ln -sf $(build-classpath ws-commons-XmlSchema) \
#  ivy-cache/repository/org.apache.ws/com.springsource.org.apache.ws.commons.schema/1.3.2/com.springsource.org.apache.ws.commons.schema-1.3.2.jar

mkdir -p ivy-cache/repository/org.aspectj/com.springsource.org.aspectj.runtime/1.6.3.RELEASE
#ln -sf $(build-classpath aspectjrt) \
#  ivy-cache/repository/org.aspectj/com.springsource.org.aspectj.runtime/1.6.3.RELEASE/com.springsource.org.aspectj.runtime-1.6.3.RELEASE.jar

mkdir -p ivy-cache/repository/org.aspectj/com.springsource.org.aspectj.runtime/1.6.6.RELEASE
#ln -sf $(build-classpath aspectjrt) \
#  ivy-cache/repository/org.aspectj/com.springsource.org.aspectj.runtime/1.6.6.RELEASE/com.springsource.org.aspectj.runtime-1.6.6.RELEASE.jar
#touch ivy-cache/repository/org.aspectj/com.springsource.org.aspectj.runtime/1.6.6.RELEASE/com.springsource.org.aspectj.runtime-sources-1.6.6.RELEASE.jar
#touch ivy-cache/repository/org.aspectj/com.springsource.org.aspectj.runtime/1.6.6.RELEASE/ivy-1.6.6.RELEASE.xml
#touch ivy-cache/repository/org.aspectj/com.springsource.org.aspectj.runtime/1.6.6.RELEASE/license-1.6.6.RELEASE.txt

mkdir -p ivy-cache/repository/org.aspectj/com.springsource.org.aspectj.tools/1.6.6.RELEASE
#ln -sf $(build-classpath aspectjtools) \
#  ivy-cache/repository/org.aspectj/com.springsource.org.aspectj.tools/1.6.6.RELEASE/com.springsource.org.aspectj.tools-1.6.6.RELEASE.jar
#touch ivy-cache/repository/org.aspectj/com.springsource.org.aspectj.tools/1.6.6.RELEASE/com.springsource.org.aspectj.tools-sources-1.6.6.RELEASE.jar
#touch ivy-cache/repository/org.aspectj/com.springsource.org.aspectj.tools/1.6.6.RELEASE/ivy-1.6.6.RELEASE.xml
#touch ivy-cache/repository/org.aspectj/com.springsource.org.aspectj.tools/1.6.6.RELEASE/license-1.6.6.RELEASE.txt

mkdir -p ivy-cache/repository/org.aspectj/com.springsource.org.aspectj.weaver/1.6.3.RELEASE
#ln -sf $(build-classpath aspectjweaver) \
#  ivy-cache/repository/org.aspectj/com.springsource.org.aspectj.weaver/1.6.3.RELEASE/com.springsource.org.aspectj.weaver-1.6.3.RELEASE.jar

mkdir -p ivy-cache/repository/org.easymock/com.springsource.org.easymock/2.5.2
#ln -sf $(build-classpath easymock2) \
#  ivy-cache/repository/org.easymock/com.springsource.org.easymock/2.5.2/com.springsource.org.easymock-2.5.2.jar
#touch ivy-cache/repository/org.easymock/com.springsource.org.easymock/2.5.2/com.springsource.org.easymock-sources-2.5.2.jar
#touch ivy-cache/repository/org.easymock/com.springsource.org.easymock/2.5.2/ivy-2.5.2.xml
#touch ivy-cache/repository/org.easymock/com.springsource.org.easymock/2.5.2/license-2.5.2.txt

mkdir -p ivy-cache/repository/org.eclipse.jdt/com.springsource.org.eclipse.jdt.core.compiler.batch/3.6.1
#(
#  cd ivy-cache/repository/org.eclipse.jdt/com.springsource.org.eclipse.jdt.core.compiler.batch/3.6.1
#  ln -sf $(build-classpath ecj3) com.springsource.org.eclipse.jdt.core.compiler.batch-3.6.1.jar
#  touch com.springsource.org.eclipse.jdt.core.compiler.batch-sources-3.6.1.jar
#  touch ivy-3.6.1.xml
#  touch license-3.6.1.txt
#)

mkdir -p ivy-cache/repository/org.eclipse.osgi/org.eclipse.osgi/3.7.0.v20110613
#ln -sf $(build-classpath eclipse-osgi) ivy-cache/repository/org.eclipse.osgi/org.eclipse.osgi/3.7.0.v20110613/org.eclipse.osgi-3.7.0.v20110613.jar
#touch ivy-cache/repository/org.eclipse.osgi/org.eclipse.osgi/3.7.0.v20110613/org.eclipse.osgi-sources-3.7.0.v20110613.jar
#touch ivy-cache/repository/org.eclipse.osgi/org.eclipse.osgi/3.7.0.v20110613/ivy-3.7.0.v20110613.xml
#touch ivy-cache/repository/org.eclipse.osgi/org.eclipse.osgi/3.7.0.v20110613/license-3.7.0.v20110613.txt

mkdir -p ivy-cache/repository/org.junit/com.springsource.org.junit/4.8.2
#ln -sf $(build-classpath junit4) \
#  ivy-cache/repository/org.junit/com.springsource.org.junit/4.8.2/com.springsource.org.junit-4.8.2.jar
#touch ivy-cache/repository/org.junit/com.springsource.org.junit/4.8.2/com.springsource.org.junit-sources-4.8.2.jar
#touch ivy-cache/repository/org.junit/com.springsource.org.junit/4.8.2/ivy-4.8.2.xml
#touch ivy-cache/repository/org.junit/com.springsource.org.junit/4.8.2/license-4.8.2.txt

mkdir -p ivy-cache/repository/org.objectweb.asm/com.springsource.org.objectweb.asm/3.1.0
#ln -sf $(build-classpath objectweb-asm/asm) \
#  ivy-cache/repository/org.objectweb.asm/com.springsource.org.objectweb.asm/3.1.0/com.springsource.org.objectweb.asm-3.1.0.jar
#touch ivy-cache/repository/org.objectweb.asm/com.springsource.org.objectweb.asm/3.1.0/com.springsource.org.objectweb.asm-sources-3.1.0.jar
#touch ivy-cache/repository/org.objectweb.asm/com.springsource.org.objectweb.asm/3.1.0/ivy-3.1.0.xml
#touch ivy-cache/repository/org.objectweb.asm/com.springsource.org.objectweb.asm/3.1.0/license-3.1.0.txt

mkdir -p ivy-cache/repository/org.objectweb.asm/com.springsource.org.objectweb.asm.commons/3.1.0
#ln -sf $(build-classpath objectweb-asm/asm-commons) \
#  ivy-cache/repository/org.objectweb.asm/com.springsource.org.objectweb.asm.commons/3.1.0/com.springsource.org.objectweb.asm.commons-3.1.0.jar
#touch ivy-cache/repository/org.objectweb.asm/com.springsource.org.objectweb.asm.commons/3.1.0/com.springsource.org.objectweb.asm.commons-sources-3.1.0.jar
#touch ivy-cache/repository/org.objectweb.asm/com.springsource.org.objectweb.asm.commons/3.1.0/ivy-3.1.0.xml
#touch ivy-cache/repository/org.objectweb.asm/com.springsource.org.objectweb.asm.commons/3.1.0/license-3.1.0.txt

mkdir -p ivy-cache/repository/org.objectweb.asm/com.springsource.org.objectweb.asm.tree/3.1.0
#ln -sf $(build-classpath objectweb-asm/asm-tree) \
#  ivy-cache/repository/org.objectweb.asm/com.springsource.org.objectweb.asm.tree/3.1.0/com.springsource.org.objectweb.asm.tree-3.1.0.jar
#touch ivy-cache/repository/org.objectweb.asm/com.springsource.org.objectweb.asm.tree/3.1.0/com.springsource.org.objectweb.asm.tree-sources-3.1.0.jar
#touch ivy-cache/repository/org.objectweb.asm/com.springsource.org.objectweb.asm.tree/3.1.0/ivy-3.1.0.xml
#touch ivy-cache/repository/org.objectweb.asm/com.springsource.org.objectweb.asm.tree/3.1.0/license-3.1.0.txt

mkdir -p ivy-cache/repository/org.osgi/org.osgi.core/4.1.0
#ln -sf $(build-classpath felix/org.osgi.core) ivy-cache/repository/org.osgi/org.osgi.core/4.1.0/org.osgi.core-4.1.0.jar
#touch ivy-cache/repository/org.osgi/org.osgi.core/4.1.0/ivy-4.1.0.xml
#touch ivy-cache/repository/org.osgi/org.osgi.core/4.1.0/license-4.1.0.txt

mkdir -p ivy-cache/repository/org.slf4j/com.springsource.slf4j.api/1.6.1
#ln -sf $(build-classpath slf4j/api) ivy-cache/repository/org.slf4j/com.springsource.slf4j.api/1.6.1/com.springsource.slf4j.api-1.6.1.jar
#touch ivy-cache/repository/org.slf4j/com.springsource.slf4j.api/1.6.1/com.springsource.slf4j.api-sources-1.6.1.jar
#touch ivy-cache/repository/org.slf4j/com.springsource.slf4j.api/1.6.1/ivy-1.6.1.xml
#touch ivy-cache/repository/org.slf4j/com.springsource.slf4j.api/1.6.1/license-1.6.1.txt

mkdir -p ivy-cache/repository/org.slf4j/com.springsource.slf4j.api/1.5.10
#ln -sf $(build-classpath slf4j/api) ivy-cache/repository/org.slf4j/com.springsource.slf4j.api/1.5.10/com.springsource.slf4j.api-1.5.10.jar
#touch ivy-cache/repository/org.slf4j/com.springsource.slf4j.api/1.5.10/com.springsource.slf4j.api-sources-1.5.10.jar
#touch ivy-cache/repository/org.slf4j/com.springsource.slf4j.api/1.5.10/ivy-1.5.10.xml
#touch ivy-cache/repository/org.slf4j/com.springsource.slf4j.api/1.5.10/license-1.5.10.txt

mkdir -p ivy-cache/repository/org.slf4j/com.springsource.slf4j.nop/1.5.10
#ln -sf $(build-classpath slf4j/nop) ivy-cache/repository/org.slf4j/com.springsource.slf4j.nop/1.5.10/com.springsource.slf4j.nop-1.5.10.jar
#touch ivy-cache/repository/org.slf4j/com.springsource.slf4j.nop/1.5.10/com.springsource.slf4j.nop-sources-1.5.10.jar
#touch ivy-cache/repository/org.slf4j/com.springsource.slf4j.nop/1.5.10/ivy-1.5.10.xml
#touch ivy-cache/repository/org.slf4j/com.springsource.slf4j.nop/1.5.10/license-1.5.10.txt

mkdir -p ivy-cache/repository/org.slf4j/com.springsource.slf4j.nop/1.6.1
#ln -sf $(build-classpath slf4j/nop) ivy-cache/repository/org.slf4j/com.springsource.slf4j.nop/1.6.1/com.springsource.slf4j.nop-1.6.1.jar
#touch ivy-cache/repository/org.slf4j/com.springsource.slf4j.nop/1.6.1/com.springsource.slf4j.nop-sources-1.6.1.jar
#touch ivy-cache/repository/org.slf4j/com.springsource.slf4j.nop/1.6.1/ivy-1.6.1.xml
#touch ivy-cache/repository/org.slf4j/com.springsource.slf4j.nop/1.6.1/license-1.6.1.txt

# TODO only for test
mkdir -p ivy-cache/repository/com.springsource.osgi.medic/com.springsource.osgi.medic/1.0.0.RELEASE
#touch ivy-cache/repository/com.springsource.osgi.medic/com.springsource.osgi.medic/1.0.0.RELEASE/com.springsource.osgi.medic-1.0.0.RELEASE.jar
#touch ivy-cache/repository/com.springsource.osgi.medic/com.springsource.osgi.medic/1.0.0.RELEASE/com.springsource.osgi.medic-sources-1.0.0.RELEASE.jar
#touch ivy-cache/repository/com.springsource.osgi.medic/com.springsource.osgi.medic/1.0.0.RELEASE/ivy-1.0.0.RELEASE.xml

mkdir -p ivy-cache/repository/org.springframework/org.springframework.beans/2.5.6.A
#ln -sf $(build-classpath spring2/beans) ivy-cache/repository/org.springframework/org.springframework.beans/2.5.6.A/org.springframework.beans-2.5.6.A.jar

mkdir -p ivy-cache/repository/org.springframework/org.springframework.core/2.5.6.A
#ln -sf $(build-classpath spring2/core) ivy-cache/repository/org.springframework/org.springframework.core/2.5.6.A/org.springframework.core-2.5.6.A.jar

mkdir -p ivy-cache/repository/org.springframework.build/org.springframework.build.ant/1.1.0.RELEASE
#ln -sf $(build-classpath spring-build/org.springframework.build.ant) \
#  ivy-cache/repository/org.springframework.build/org.springframework.build.ant/1.1.0.RELEASE/org.springframework.build.ant-1.1.0.RELEASE.jar
#touch ivy-cache/repository/org.springframework.build/org.springframework.build.ant/1.1.0.RELEASE/ivy-1.1.0.RELEASE.xml
#touch ivy-cache/repository/org.springframework.build/org.springframework.build.ant/1.1.0.RELEASE/org.springframework.build.ant-sources-1.1.0.RELEASE.jar

touch local-repository/com.springsource.osgi.medic/com.springsource.osgi.medic/1.0.0.RELEASE/com.springsource.osgi.medic-1.0.0.RELEASE.jar
touch local-repository/com.springsource.osgi.medic/com.springsource.osgi.medic/1.0.0.RELEASE/com.springsource.osgi.medic-sources-1.0.0.RELEASE.jar
touch local-repository/com.springsource.osgi.medic/com.springsource.osgi.medic/1.0.0.RELEASE/ivy-1.0.0.RELEASE.xml

ln -sf $(build-classpath spring-build/org.springframework.build.ant) \
  local-repository/org.springframework.build/org.springframework.build.ant/1.1.0.RELEASE/org.springframework.build.ant-1.1.0.RELEASE.jar
touch local-repository/org.springframework.build/org.springframework.build.ant/1.1.0.RELEASE/org.springframework.build.ant-sources-1.1.0.RELEASE.jar


ln -sf $(build-classpath commons-logging) \
  local-repository/org.apache.commons/com.springsource.org.apache.commons.logging/1.1.1/com.springsource.org.apache.commons.logging-1.1.1.jar

ln -sf $(build-classpath ws-commons-XmlSchema) \
  local-repository/org.apache.ws/com.springsource.org.apache.ws.commons.schema/1.3.2/com.springsource.org.apache.ws.commons.schema-1.3.2.jar

ln -sf $(build-classpath aspectjrt) \
  local-repository/org.aspectj/com.springsource.org.aspectj.runtime/1.6.3.RELEASE/com.springsource.org.aspectj.runtime-1.6.3.RELEASE.jar

ln -sf $(build-classpath aspectjrt) \
  local-repository/org.aspectj/com.springsource.org.aspectj.runtime/1.6.6.RELEASE/com.springsource.org.aspectj.runtime-1.6.6.RELEASE.jar
touch local-repository/org.aspectj/com.springsource.org.aspectj.runtime/1.6.6.RELEASE/com.springsource.org.aspectj.runtime-sources-1.6.6.RELEASE.jar
touch local-repository/org.aspectj/com.springsource.org.aspectj.runtime/1.6.6.RELEASE/license-1.6.6.RELEASE.txt

ln -sf $(build-classpath aspectjtools) \
  local-repository/org.aspectj/com.springsource.org.aspectj.tools/1.6.6.RELEASE/com.springsource.org.aspectj.tools-1.6.6.RELEASE.jar
touch local-repository/org.aspectj/com.springsource.org.aspectj.tools/1.6.6.RELEASE/com.springsource.org.aspectj.tools-sources-1.6.6.RELEASE.jar
touch local-repository/org.aspectj/com.springsource.org.aspectj.tools/1.6.6.RELEASE/license-1.6.6.RELEASE.txt

ln -sf $(build-classpath aspectjweaver) \
  local-repository/org.aspectj/com.springsource.org.aspectj.weaver/1.6.3.RELEASE/com.springsource.org.aspectj.weaver-1.6.3.RELEASE.jar

ln -sf $(build-classpath easymock2) \
  local-repository/org.easymock/com.springsource.org.easymock/2.5.2/com.springsource.org.easymock-2.5.2.jar
touch local-repository/org.easymock/com.springsource.org.easymock/2.5.2/com.springsource.org.easymock-sources-2.5.2.jar
touch local-repository/org.easymock/com.springsource.org.easymock/2.5.2/license-2.5.2.txt

ln -sf $(build-classpath spring2/beans) local-repository/org.springframework/org.springframework.beans/2.5.6.A/org.springframework.beans-2.5.6.A.jar
ln -sf $(build-classpath spring2/core) local-repository/org.springframework/org.springframework.core/2.5.6.A/org.springframework.core-2.5.6.A.jar

ln -sf $(build-classpath slf4j/api) local-repository/org.slf4j/com.springsource.slf4j.api/1.6.1/com.springsource.slf4j.api-1.6.1.jar
touch local-repository/org.slf4j/com.springsource.slf4j.api/1.6.1/com.springsource.slf4j.api-sources-1.6.1.jar
touch local-repository/org.slf4j/com.springsource.slf4j.api/1.6.1/license-1.6.1.txt

ln -sf $(build-classpath slf4j/api) local-repository/org.slf4j/com.springsource.slf4j.api/1.5.10/com.springsource.slf4j.api-1.5.10.jar
touch local-repository/org.slf4j/com.springsource.slf4j.api/1.5.10/com.springsource.slf4j.api-sources-1.5.10.jar
touch local-repository/org.slf4j/com.springsource.slf4j.api/1.5.10/license-1.5.10.txt

ln -sf $(build-classpath slf4j/nop) local-repository/org.slf4j/com.springsource.slf4j.nop/1.5.10/com.springsource.slf4j.nop-1.5.10.jar
touch local-repository/org.slf4j/com.springsource.slf4j.nop/1.5.10/com.springsource.slf4j.nop-sources-1.5.10.jar
touch local-repository/org.slf4j/com.springsource.slf4j.nop/1.5.10/ivy-1.5.10.xml
touch local-repository/org.slf4j/com.springsource.slf4j.nop/1.5.10/license-1.5.10.txt

ln -sf $(build-classpath slf4j/nop) local-repository/org.slf4j/com.springsource.slf4j.nop/1.6.1/com.springsource.slf4j.nop-1.6.1.jar
touch local-repository/org.slf4j/com.springsource.slf4j.nop/1.6.1/com.springsource.slf4j.nop-sources-1.6.1.jar
touch local-repository/org.slf4j/com.springsource.slf4j.nop/1.6.1/license-1.6.1.txt

ln -sf $(build-classpath felix/org.osgi.core) local-repository/org.osgi/org.osgi.core/4.1.0/org.osgi.core-4.1.0.jar
touch local-repository/org.osgi/org.osgi.core/4.1.0/license-4.1.0.txt

ln -sf $(build-classpath objectweb-asm/asm) \
  local-repository/org.objectweb.asm/com.springsource.org.objectweb.asm/3.1.0/com.springsource.org.objectweb.asm-3.1.0.jar
touch local-repository/org.objectweb.asm/com.springsource.org.objectweb.asm/3.1.0/com.springsource.org.objectweb.asm-sources-3.1.0.jar
touch local-repository/org.objectweb.asm/com.springsource.org.objectweb.asm/3.1.0/license-3.1.0.txt

ln -sf $(build-classpath objectweb-asm/asm-commons) \
  local-repository/org.objectweb.asm/com.springsource.org.objectweb.asm.commons/3.1.0/com.springsource.org.objectweb.asm.commons-3.1.0.jar
touch local-repository/org.objectweb.asm/com.springsource.org.objectweb.asm.commons/3.1.0/com.springsource.org.objectweb.asm.commons-sources-3.1.0.jar
touch local-repository/org.objectweb.asm/com.springsource.org.objectweb.asm.commons/3.1.0/license-3.1.0.txt

ln -sf $(build-classpath objectweb-asm/asm-tree) \
  local-repository/org.objectweb.asm/com.springsource.org.objectweb.asm.tree/3.1.0/com.springsource.org.objectweb.asm.tree-3.1.0.jar
touch local-repository/org.objectweb.asm/com.springsource.org.objectweb.asm.tree/3.1.0/com.springsource.org.objectweb.asm.tree-sources-3.1.0.jar
touch local-repository/org.objectweb.asm/com.springsource.org.objectweb.asm.tree/3.1.0/license-3.1.0.txt

ln -sf $(build-classpath eclipse-osgi) local-repository/org.eclipse.osgi/org.eclipse.osgi/3.7.0.v20110613/org.eclipse.osgi-3.7.0.v20110613.jar
touch local-repository/org.eclipse.osgi/org.eclipse.osgi/3.7.0.v20110613/org.eclipse.osgi-sources-3.7.0.v20110613.jar
touch local-repository/org.eclipse.osgi/org.eclipse.osgi/3.7.0.v20110613/license-3.7.0.v20110613.txt

ln -sf $(build-classpath junit4) local-repository/org.junit/com.springsource.org.junit/4.8.2/com.springsource.org.junit-4.8.2.jar
touch local-repository/org.junit/com.springsource.org.junit/4.8.2/com.springsource.org.junit-sources-4.8.2.jar
touch local-repository/org.junit/com.springsource.org.junit/4.8.2/license-4.8.2.txt

(
  cd local-repository/org.eclipse.jdt/com.springsource.org.eclipse.jdt.core.compiler.batch/3.6.1
  ln -sf $(build-classpath ecj3) com.springsource.org.eclipse.jdt.core.compiler.batch-3.6.1.jar
  touch com.springsource.org.eclipse.jdt.core.compiler.batch-sources-3.6.1.jar
  touch license-3.6.1.txt
)

%build
# TODO OSGi support
echo 'disable.bundlor=true' >> build.properties-temp
cat build.properties >> build.properties-temp
rm build.properties && mv build.properties-temp build.properties
export CLASSPATH=""
CLASSPATH=${CLASSPATH}:$(build-classpath commons-codec commons-httpclient commons-logging ivy ecj3)
CLASSPATH=${CLASSPATH}:$(build-classpath jets3t07 spring-build/org.springframework.build.aws.ivy)
CLASSPATH=${CLASSPATH}:$(build-classpath eclipse-osgi-services eclipse-osgi-util felix/org.osgi.core slf4j)
CLASSPATH=${CLASSPATH}:$PWD/com.springsource.util.osgi/target/artifacts/com.springsource.util.osgi.jar
export ANT_OPTS="-Xmx768m -XX:MaxPermSize=128m"
export IVY_CACHE=$(pwd)/ivy-cache/repository
export IVY_LOCAL=$(pwd)/local-repository
cd build-util
%{ant} -Dlocal.repo.dir=${IVY_LOCAL} -Dtest.halt=false -Dbuild.sysclasspath=first -Djava.awt.headless=true precommit javadoc-all
%{ant} -Dlocal.repo.dir=${IVY_LOCAL} -Dtest.halt=false -Dbuild.sysclasspath=first -Djava.awt.headless=true package

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

install -d -m 755 %{buildroot}%{_javadir}
install -d -m 755 %{buildroot}%{_javadir}/%{name}

install -m 644 com.springsource.util.common/target/artifacts/com.springsource.util.common.jar \
  %{buildroot}%{_javadir}/%{name}/
install -m 644 com.springsource.util.env/target/artifacts/com.springsource.util.env.jar \
  %{buildroot}%{_javadir}/%{name}/
install -m 644 com.springsource.util.io/target/artifacts/com.springsource.util.io.jar \
  %{buildroot}%{_javadir}/%{name}/
install -m 644 com.springsource.util.jmx/target/artifacts/com.springsource.util.jmx.jar \
  %{buildroot}%{_javadir}/%{name}/
install -m 644 com.springsource.util.math/target/artifacts/com.springsource.util.math.jar \
  %{buildroot}%{_javadir}/%{name}/
install -m 644 com.springsource.util.osgi/target/artifacts/com.springsource.util.osgi.jar \
  %{buildroot}%{_javadir}/%{name}/
install -m 644 com.springsource.util.parser.manifest/target/artifacts/com.springsource.util.parser.manifest.jar \
  %{buildroot}%{_javadir}/%{name}/
install -m 644 com.springsource.util.test/target/artifacts/com.springsource.util.test.jar \
  %{buildroot}%{_javadir}/%{name}/

install -d -m 755 %{buildroot}%{_datadir}/%{name}/etc
install -m 644 com.springsource.util.common/target/artifacts/ivy.xml \
  %{buildroot}%{_datadir}/%{name}/etc/com.springsource.util.common-ivy.xml
install -m 644 com.springsource.util.env/target/artifacts/ivy.xml \
  %{buildroot}%{_datadir}/%{name}/etc/com.springsource.util.env-ivy.xml
install -m 644 com.springsource.util.io/target/artifacts/ivy.xml \
  %{buildroot}%{_datadir}/%{name}/etc/com.springsource.util.io-ivy.xml
install -m 644 com.springsource.util.jmx/target/artifacts/ivy.xml \
  %{buildroot}%{_datadir}/%{name}/etc/com.springsource.util.jmx-ivy.xml
install -m 644 com.springsource.util.math/target/artifacts/ivy.xml \
  %{buildroot}%{_datadir}/%{name}/etc/com.springsource.util.math-ivy.xml
install -m 644 com.springsource.util.osgi/target/artifacts/ivy.xml \
  %{buildroot}%{_datadir}/%{name}/etc/com.springsource.util.osgi-ivy.xml
install -m 644 com.springsource.util.parser.manifest/target/artifacts/ivy.xml \
  %{buildroot}%{_datadir}/%{name}/etc/com.springsource.util.parser.manifest-ivy.xml
install -m 644 com.springsource.util.test/target/artifacts/ivy.xml \
  %{buildroot}%{_datadir}/%{name}/etc/com.springsource.util.test-ivy.xml

mkdir -p %{buildroot}%{_javadir}/%{name}-sources
install -m 644 com.springsource.util.common/target/artifacts/com.springsource.util.common-sources.jar \
  %{buildroot}%{_javadir}/%{name}-sources/
install -m 644 com.springsource.util.env/target/artifacts/com.springsource.util.env-sources.jar \
  %{buildroot}%{_javadir}/%{name}-sources/
install -m 644 com.springsource.util.io/target/artifacts/com.springsource.util.io-sources.jar \
  %{buildroot}%{_javadir}/%{name}-sources/
install -m 644 com.springsource.util.jmx/target/artifacts/com.springsource.util.jmx-sources.jar \
  %{buildroot}%{_javadir}/%{name}-sources/
install -m 644 com.springsource.util.math/target/artifacts/com.springsource.util.math-sources.jar \
  %{buildroot}%{_javadir}/%{name}-sources/
install -m 644 com.springsource.util.osgi/target/artifacts/com.springsource.util.osgi-sources.jar \
  %{buildroot}%{_javadir}/%{name}-sources/
install -m 644 com.springsource.util.parser.manifest/target/artifacts/com.springsource.util.parser.manifest-sources.jar \
  %{buildroot}%{_javadir}/%{name}-sources/
install -m 644 com.springsource.util.test/target/artifacts/com.springsource.util.test-sources.jar \
  %{buildroot}%{_javadir}/%{name}-sources/

install -d -m 755 %{buildroot}%{_mavenpomdir}
install -m 644 %{SOURCE11} %{buildroot}%{_mavenpomdir}/JPP.%{name}-com.springsource.util.common.pom
%add_to_maven_depmap com.springsource.util com.springsource.util.common %{namedversion} JPP/%{name} com.springsource.util.common
install -m 644 %{SOURCE12} %{buildroot}%{_mavenpomdir}/JPP.%{name}-com.springsource.util.env.pom
%add_to_maven_depmap com.springsource.util com.springsource.util.env %{namedversion} JPP/%{name} com.springsource.util.env
install -m 644 %{SOURCE13} %{buildroot}%{_mavenpomdir}/JPP.%{name}-com.springsource.util.io.pom
%add_to_maven_depmap com.springsource.util com.springsource.util.io %{namedversion} JPP/%{name} com.springsource.util.io
install -m 644 %{SOURCE14} %{buildroot}%{_mavenpomdir}/JPP.%{name}-com.springsource.util.jmx.pom
%add_to_maven_depmap com.springsource.util com.springsource.util.jmx %{namedversion} JPP/%{name} com.springsource.util.jmx
install -m 644 %{SOURCE15} %{buildroot}%{_mavenpomdir}/JPP.%{name}-com.springsource.util.math.pom
%add_to_maven_depmap com.springsource.util com.springsource.util.math %{namedversion} JPP/%{name} com.springsource.util.math
install -m 644 %{SOURCE16} %{buildroot}%{_mavenpomdir}/JPP.%{name}-com.springsource.util.osgi.pom
%add_to_maven_depmap com.springsource.util com.springsource.util.osgi %{namedversion} JPP/%{name} com.springsource.util.osgi
install -m 644 %{SOURCE17} %{buildroot}%{_mavenpomdir}/JPP.%{name}-com.springsource.util.parser.manifest.pom
%add_to_maven_depmap com.springsource.util com.springsource.util.parser.manifest %{namedversion} JPP/%{name} com.springsource.util.parser.manifest
install -m 644 %{SOURCE18} %{buildroot}%{_mavenpomdir}/JPP.%{name}-com.springsource.util.test.pom 
%add_to_maven_depmap com.springsource.util com.springsource.util.test %{namedversion} JPP/%{name} com.springsource.util.test 

install -d -m 755 %{buildroot}%{_javadocdir}/%{name}
cp -pr build-util/target/javadoc-all/* %{buildroot}%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/com.springsource.util.common.jar
%{_javadir}/%{name}/com.springsource.util.env.jar
%{_javadir}/%{name}/com.springsource.util.io.jar
%{_javadir}/%{name}/com.springsource.util.jmx.jar
%{_javadir}/%{name}/com.springsource.util.math.jar
%{_javadir}/%{name}/com.springsource.util.osgi.jar
%{_javadir}/%{name}/com.springsource.util.parser.manifest.jar
%{_javadir}/%{name}/com.springsource.util.test.jar
%dir %{_datadir}/%{name}/etc
%{_datadir}/%{name}/etc/*
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/* 

%files devel
%{_javadir}/%{name}-sources/*

%files javadoc
%{_javadocdir}/%{name}

%changelog

* Thu Oct 13 2011 gil <gil> 2.0.0-1.mga2
+ Revision: 154663
- edit m2 poms, replace groupId org.junit and artifactId com.springsource.org.junit with junit
- edit m2 poms, relace groupId org.junit and artifactId com.springsource.org.junit with junit
- imported package springsource-util

